mcconwaysims.test {ape} | R Documentation

## McConway-Sims Test of Homogeneous Diversification

### Description

This function performs the McConway–Sims test that a trait or variable does not affect diversification rate.

### Usage

    mcconwaysims.test(x)

### Arguments

`x` | a matrix or a data frame with at least two columns: the first one gives the number of species in clades with a trait supposed to increase or decrease diversification rate, and the second one the number of species in the sister-clades without the trait. Each row represents a pair of sister-clades.

### Details

The McConway–Sims test compares a series of sister-clades where one of the two is characterized by a trait supposed to affect diversification rate. The null hypothesis is that the trait does not affect diversification. The alternative hypothesis is that diversification rate is increased or decreased by the trait (by contrast to the Slowinski–Guyer test). The test is a likelihood-ratio of a null Yule model and an alternative model with two parameters.

### Value

a data frame with the chi2, the number of degrees of freedom, and the P-value.

### Author(s)

Emmanuel Paradis

### References

McConway, K. J. and Sims, H. J. (2004) A likelihood-based method for testing for nonstochastic variation of diversification rates in phylogenies. Evolution, 58, 12–23.

Paradis, E. (2012) Shift in diversification in sister-clade comparisons: a more powerful test. Evolution, 66, 288–295.

### See Also

`balance`, `slowinskiguyer.test`, `rc` in geiger, `shift.test` in apTreeshape

### Examples

    ### simulate 10 clades with lambda = 0.1 and mu = 0.09:
    n0 <- replicate(10, balance(rbdtree(.1, .09, Tmax = 35))[1])
    ### simulate 10 clades with lambda = 0.15 and mu = 0.1:
    n1 <- replicate(10, balance(rbdtree(.15, .1, Tmax = 35))[1])
    x <- cbind(n1, n0)
    mcconwaysims.test(x)
    slowinskiguyer.test(x)
    richness.yule.test(x, 35)

[Package ape version 3.5 Index]